# MedicalCertificateCheckBox class

Structure to contain full information about found box.

## Constructors

MedicalCertificateCheckBox.new({MedicalCertificateCheckBoxType type = MedicalCertificateCheckBoxType.UNKNOWN, bool checked = false, double checkedConfidence = 0.0, required List<Point<double>> quad})
MedicalCertificateCheckBox.fromJson(Map<String, dynamic> json)
  factory

## Properties

checked → bool
  True if the box is checked.
  final
checkedConfidence → double
  Confidence of the checked/unchecked prediction.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
quad → List<Point<double>>
  Points of the box.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
type → MedicalCertificateCheckBoxType
  Box type.
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited